Loading...
Searching...
No Matches
BALL::NumberOfRotatableBonds Class Reference

`#include <BALL/QSAR/simpleDescriptors.h>`

Inheritance diagram for BALL::NumberOfRotatableBonds:

## Public Member Functions

Constructors and Destructors
| NumberOfRotatableBonds ()
| NumberOfRotatableBonds (const NumberOfRotatableBonds &nrb)
virtual | ~NumberOfRotatableBonds ()
Assignment
NumberOfRotatableBonds & | operator= (const NumberOfRotatableBonds &nrb)
Public Member Functions inherited from BALL::SimpleBase
| SimpleBase ()
| SimpleBase (const SimpleBase &sb)
| SimpleBase (const String &name)
| SimpleBase (const String &name, const String &unit)
virtual | ~SimpleBase ()
virtual SimpleBase & | operator= (const SimpleBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor counts the number of rotatable bonds, a bond ia rotatble if it is heavy, not in a ring and not bounds lone atoms like halogens.

Definition at line 932 of file simpleDescriptors.h.

## Constructor & Destructor Documentation

## NumberOfRotatableBonds() [1/2]

BALL::NumberOfRotatableBonds::NumberOfRotatableBonds | ( |  | ) |

Default constructor

## NumberOfRotatableBonds() [2/2]

BALL::NumberOfRotatableBonds::NumberOfRotatableBonds | ( | const NumberOfRotatableBonds & | nrb | ) |

Copy constructor

## ~NumberOfRotatableBonds()

virtual BALL::NumberOfRotatableBonds::~NumberOfRotatableBonds | ( |  | ) |

virtual

Destructors

## Member Function Documentation

## operator=()

NumberOfRotatableBonds & BALL::NumberOfRotatableBonds::operator= | ( | const NumberOfRotatableBonds & | nrb | ) |

Assignment operator